summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-util/etswitch/etswitch-0.1.14.ebuild')
-rw-r--r--games-util/etswitch/etswitch-0.1.14.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/games-util/etswitch/etswitch-0.1.14.ebuild b/games-util/etswitch/etswitch-0.1.14.ebuild
new file mode 100644
index 0000000..be2f282
--- /dev/null
+++ b/games-util/etswitch/etswitch-0.1.14.ebuild
@@ -0,0 +1,39 @@
+opyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="A 'minimizer' for a few games"
+HOMEPAGE="http://hem.bredband.net/b400150/"
+SRC_URI="http://hem.bredband.net/b400150/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug"
+
+DEPEND="x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libXmu
+ x11-libs/libXpm
+ x11-libs/libXt
+ x11-libs/libXxf86vm"
+
+RDEPEND=""
+
+src_compile() {
+ econf \
+ $(use_enable debug) \
+ || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+ dodoc AUTHORS BUGS ChangeLog NEWS README THANKS TODO
+ doman docs/man/etswitch.1
+}